<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
xmlns:ui="http://java.sun.com/jsf/facelets"
xmlns:f="http://java.sun.com/jsf/core"
xmlns:h="http://java.sun.com/jsf/html"
xmlns:c="http://java.sun.com/jsp/jstl/core"
xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
xmlns:p="http://primefaces.org/ui"
xmlns:pe="http://primefaces.org/ui/extensions" ng-app="myProject">
	
	<head>
		<title>OUA Travel - bringing more to travel</title>
		<meta charset="utf-8" />
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta name="viewport" content="width=device-width, initial-scale=1.0"/>
		<meta name="description" content="Wow Sochi is a full service travel agency with 9 branches located in Sharjah, Ajman and RAK. Six of our branches are IATA accredited and rests of the branches are in the process of attaining IATA accreditation. It is the only travel agency in the Emirate of Sharjah which is wholly owned by Government of Sharjah." />
		<meta name="keywords" content="Wow Sochi, Sharjah Airport Travel Agency, Travel, Agency, Airport, Visa Service, IATA, Government of Sharjah, low-cost airlines" />
		<meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
	<!-- 	<link href="app/assets/css/lobibox/lobibox.css" rel="stylesheet" /> -->
		<!--      <script src="http://code.jquery.com/jquery-1.10.2.js"></script>-->
		
		<script type="text/javascript" src="app/assets/angular/angular.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-resource.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-repeat-n.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-route.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-route-segment.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/checklist-model.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-cookies.js"></script>
		<script type="text/javascript" src="app/assets/angular/ng-tasty-tpls.min.js"></script>
		<script type="text/javascript" src="app/assets/js/lobibox.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-sanitize.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/ng-file-upload.js"></script>
		<script type="text/javascript" src="app/assets/angular/app.js"></script>
		<style type="text/css">
			.lobibox .lobibox-body { width:100% !important; }
		</style>
	</head>
	
	<body>
		<!-- <div ng-controller="finalJsonCtrl">
		</div> -->
		<script>
			app.controller( 'finalJsonCtrl' , function( $scope, $location, $http, ServerService ) {
				var testLoc = $location.absUrl().split('paymentRedirector.jsf')[0];
				var orderType;				
				if ($location.absUrl().match('orderType=FLT')) {
					orderType = "FLT";
				} else if ($location.absUrl().match('orderType=HTL')) {
					orderType = "HTL";
				} else if ($location.absUrl().match('orderType=VISA')) {
					orderType = "VISA";
				} else if ($location.absUrl().match('orderType=INSRNC')) {
					orderType = "INSRNC";
				} else if($location.absUrl().match('orderType=FNH')){
					orderType ="FNH";
				}
				$http({
					method:'POST',
					url:testLoc+'rest/payment/success',
					data:{ "queryString": orderType }
					}).success(function(data,status){
					if(data.status=="SUCCESS"){
						var jsondata=data.data;
						if (orderType == "FLT") {
								sessionStorage.setItem("flightconfirmJson",JSON.stringify(jsondata));
								window.location.href = testLoc+"index.jsf#!/flightItenary";	
								sessionStorage.removeItem("fltTravellerdatalist");
							} else if (orderType == "HTL") {
								sessionStorage.setItem("hotelBookJson",JSON.stringify(jsondata));
								window.location.href = testLoc+"index.jsf#!/hotelItenary";
								sessionStorage.removeItem("htlTravellerdatalist");
							} else if (orderType == "VISA") {
								sessionStorage.setItem("visaItineraryJson",JSON.stringify(jsondata));
								window.location.href = testLoc+"index.jsf#!/confirmed-visa-itinerary";
							}else if (orderType == "INSRNC") {
								sessionStorage.setItem("insureconfirmJson",JSON.stringify(jsondata));
								window.location.href = testLoc+"index.jsf#!/insuranceItenary";
							} else if (orderType == "FNH"){
								sessionStorage.setItem("flightconfirmJson",JSON.stringify(jsondata.fltBookingInfo));
								sessionStorage.setItem("hotelBookJson",JSON.stringify(jsondata.htlBookingInfo));
								window.location.href = testLoc+"index.jsf#!/holidayItenary";
								sessionStorage.removeItem("fltTravellerdatalist");
							}
					} else {
						if (orderType == "FLT") {
								sessionStorage.setItem("paymentError",JSON.stringify(data));
								window.location.href = testLoc+"index.jsf#!/flightReview";
							} else if (orderType == "HTL") {
								sessionStorage.setItem("paymentError",JSON.stringify(data));
								window.location.href = testLoc+"index.jsf#!/hotelReview";
							}  else if (orderType == "VISA") {
								sessionStorage.setItem("paymentError",JSON.stringify(data));
								window.location.href = testLoc+"index.jsf#!/visa-apply";
							} else if (orderType == "INSRNC") {
								sessionStorage.setItem("paymentError",JSON.stringify(data));
								window.location.href = testLoc+"index.jsf#!/insuranceReview";
							} else if (orderType == "FNH"){
								sessionStorage.setItem("paymentError",JSON.stringify(data));
								window.location.href = testLoc+"index.jsf#!/holidayBook";
							}
						
					}
				})
			});
		</script>
	</body>
</html>